Project

Profile

Help

Issue #1749

Centos6 64b updates sync failed with The field '_erratum_references' does not exist on the document 'RPM'

Added by vaclav.adamec@suchy-zleb.cz over 4 years ago. Updated over 1 year ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
High
Assignee:
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
3. High
Version:
Master
Platform Release:
2.8.0
OS:
CentOS 7
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

Latest Beta 2.8

python-kombu-3.0.33-4.pulp.el7.noarch
python-pulp-common-2.8.0-0.8.beta.el7.noarch
python-pulp-repoauth-2.8.0-0.8.beta.el7.noarch
python-pulp-puppet-common-2.8.0-0.8.beta.el7.noarch
pulp-rpm-admin-extensions-2.8.0-0.8.beta.el7.noarch
pulp-rpm-plugins-2.8.0-0.8.beta.el7.noarch
pulp-nodes-child-2.8.0-0.8.beta.el7.noarch
python-pulp-bindings-2.8.0-0.8.beta.el7.noarch
python-pulp-agent-lib-2.8.0-0.8.beta.el7.noarch
pulp-server-2.8.0-0.8.beta.el7.noarch
python-pulp-docker-common-2.0.0-0.8.beta.el7.noarch
python-pulp-oid_validation-2.8.0-0.8.beta.el7.noarch
pulp-admin-client-2.8.0-0.8.beta.el7.noarch
pulp-puppet-admin-extensions-2.8.0-0.8.beta.el7.noarch
pulp-docker-admin-extensions-2.0.0-0.8.beta.el7.noarch
pulp-puppet-plugins-2.8.0-0.8.beta.el7.noarch
pulp-nodes-parent-2.8.0-0.8.beta.el7.noarch
pulp-rpm-handlers-2.8.0-0.8.beta.el7.noarch
pulp-selinux-2.8.0-0.8.beta.el7.noarch
python-isodate-0.5.0-4.pulp.el7.noarch
python-pulp-rpm-common-2.8.0-0.8.beta.el7.noarch
pulp-nodes-common-2.8.0-0.8.beta.el7.noarch
python-pulp-client-lib-2.8.0-0.8.beta.el7.noarch
pulp-nodes-admin-extensions-2.8.0-0.8.beta.el7.noarch
pulp-docker-plugins-2.0.0-0.8.beta.el7.noarch
pulp-rpm-yumplugins-2.8.0-0.8.beta.el7.noarch

  1. Create new repo:
    pulp-admin rpm repo create --repo-id=centos-6-updates-x86_64-live --display-name="CentOS 6 Updates x86_64 (Live)" --description="CentOS 6 Updates x86_64 (Live)" --feed="http://mirror.centos.org/centos-6/6/updates/x86_64/" --serve-http=True --serve-https=False --relative-url=centos/6/updates/x86_64/live --gpg-key=/etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
  1. Run sync
    pulp-admin rpm repo sync run --repo-id=centos-6-updates-x86_64-live
  1. Output:
    "traceback": "Traceback (most recent call last):\n File \"/usr/lib/python2.7/site-packages/celery/app/trace.py\", line 240, in trace_task\n R = retval = fun(*args, **kwargs)\n File \"/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py\", line 473, in call\n return super(Task, self).__call__(*args, **kwargs)\n File \"/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py\", line 103, in call\n return super(PulpTask, self).__call__(*args, **kwargs)\n File \"/usr/lib/python2.7/site-packages/celery/app/trace.py\", line 437, in protected_call\n return self.run(*args, **kwargs)\n File \"/usr/lib/python2.7/site-packages/pulp/server/controllers/repository.py\", line 807, in sync\n raise pulp_exceptions.PulpExecutionException(_('Importer indicated a failed response'))\nPulpExecutionException: Importer indicated a failed response\n",
    ....
    "error": "The field '_erratum_references' does not exist on the document 'RPM'",
    "error_details": []
tool_log.txt (78.9 KB) tool_log.txt vaclav.adamec@suchy-zleb.cz, 03/24/2016 06:36 AM

Related issues

Related to Pulp - Issue #1754: Repo sync with fails on an upgraded pulp serverCLOSED - CURRENTRELEASE<a title="Actions" class="icon-only icon-actions js-contextmenu" href="#">Actions</a>
Related to Pulp - Issue #1952: Repo sync fails after upgrade to 2.8.3.CLOSED - CURRENTRELEASE<a title="Actions" class="icon-only icon-actions js-contextmenu" href="#">Actions</a>

Associated revisions

History

#1 Updated by ipanova@redhat.com over 4 years ago

Was not able to reproduce this(on Fedora)

$ pulp-admin rpm repo create --repo-id=centos-6 --feed="http://mirror.centos.org/centos-6/6/updates/x86_64/" --serve-http=True --serve-https=False --relative-url=centos

Successfully created repository [centos-6]

[ipanova@ina pulp]$ pulp-admin rpm repo sync run --repo-id centos-6

+----------------------------------------------------------------------+
                  Synchronizing Repository [centos-6]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.

Downloading metadata...
[\]
... completed

Downloading repository content...
[/]
[============================================      ] 88%
RPMs:       1250/1250 items
Delta RPMs: 0/1155 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Cleaning duplicate packages...
[-]
... completed

Task Succeeded

Initializing repo metadata
[-]
... completed

Publishing Distribution files
[-]
... completed

Publishing RPMs
[==================================================] 100%
1250 of 1250 items
... completed

Publishing Delta RPMs
... skipped

Publishing Errata
[-]
... completed

Publishing Comps file
[-]
... completed

Publishing Metadata.
[-]
... completed

Closing repo metadata
[-]
... completed

Generating sqlite files
... skipped

Publishing files to web
[-]
... completed

Writing Listings File
[-]
... completed

Task Succeeded

#2 Updated by ipanova@redhat.com over 4 years ago

seems like the possible issue is mongoengine. What version of python-mongoengine you have?

#3 Updated by vaclav.adamec@suchy-zleb.cz over 4 years ago

python-mongoengine-0.10.5-1.el7.noarch

On Mon, Mar 7, 2016 at 12:14 PM, Pulp <>
wrote:

#4 Updated by ipanova@redhat.com over 4 years ago

  • Related to Issue #1754: Repo sync with fails on an upgraded pulp server added

#5 Updated by mhrivnak over 4 years ago

I was able to reproduce with these commands:

pulp-admin rpm repo create --repo-id=centos --download-policy=on_demand --feed=http://mirror.centos.org/centos-6/6/updates/x86_64/
pulp-admin rpm repo sync run --repo-id=centos

Here's the real traceback:

Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632) '\xff\xff\xff\xff\xe0\xda^\xf4O\x7f'
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632) Traceback (most recent call last):
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)   File "/home/vagrant/devel/pulp_rpm/plugins/pulp_rpm/plugins/importers/yum/sync.py", line 220, in run
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)     self.update_content(metadata_files, url)
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)   File "/home/vagrant/devel/pulp_rpm/plugins/pulp_rpm/plugins/importers/yum/sync.py", line 449, in update_content
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)     self.download_drpms(metadata_files, drpms_to_download, url)
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)   File "/home/vagrant/devel/pulp_rpm/plugins/pulp_rpm/plugins/importers/yum/sync.py", line 690, in download_drpms
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)     self.add_drpm_unit(metadata_files, unit)
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)   File "/home/vagrant/devel/pulp_rpm/plugins/pulp_rpm/plugins/importers/yum/sync.py", line 586, in add_rpm_unit
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)     metadata_files.add_repodata(unit)
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)   File "/home/vagrant/devel/pulp_rpm/plugins/pulp_rpm/plugins/importers/yum/repomd/metadata.py", line 335, in add_repodata
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632)     raw_xml = db_file[db_key]
Mar 08 17:54:46 dev pulp[24146]: pulp_rpm.plugins.importers.yum.sync:ERROR: (24146-29632) KeyError: '\xff\xff\xff\xff\xe0\xda^\xf4O\x7f'

#6 Updated by mhrivnak over 4 years ago

  • Status changed from NEW to ASSIGNED
  • Assignee set to mhrivnak
  • Priority changed from Normal to High
  • Platform Release set to 2.8.0
  • Triaged changed from No to Yes

I found the problem. Sync of DRPMs was completely broken. It's a 2-line fix that'll be in shortly.

#7 Updated by mhrivnak over 4 years ago

  • Status changed from ASSIGNED to POST

#9 Updated by mhrivnak over 4 years ago

  • Status changed from POST to MODIFIED
  • % Done changed from 0 to 100

#10 Updated by dkliban@redhat.com over 4 years ago

  • Status changed from MODIFIED to 5

#11 Updated by pthomas@redhat.com over 4 years ago

  • Status changed from 5 to 6

verified
[root@mgmt5 ~]# rpm -qa |grep pulp
python-pulp-repoauth-2.8.0-0.9.rc.el7.noarch
pulp-rpm-plugins-2.8.0-0.9.rc.el7.noarch
pulp-docker-plugins-2.0.0-0.9.rc.el7.noarch
pulp-selinux-2.8.0-0.9.rc.el7.noarch
python-pulp-puppet-common-2.8.0-0.9.rc.el7.noarch
pulp-admin-client-2.8.0-0.9.rc.el7.noarch
pulp-rpm-admin-extensions-2.8.0-0.9.rc.el7.noarch
pulp-puppet-handlers-2.8.0-0.9.rc.el7.noarch
python-pulp-agent-lib-2.8.0-0.9.rc.el7.noarch
pulp-nodes-common-2.8.0-0.9.rc.el7.noarch
pulp-consumer-client-2.8.0-0.9.rc.el7.noarch
pulp-puppet-consumer-extensions-2.8.0-0.9.rc.el7.noarch
pulp-docker-admin-extensions-2.0.0-0.9.rc.el7.noarch
pulp-puppet-plugins-2.8.0-0.9.rc.el7.noarch
pulp-rpm-yumplugins-2.8.0-0.9.rc.el7.noarch
pulp-test-package-0.2.1-1.fc11.x86_64
python-pulp-common-2.8.0-0.9.rc.el7.noarch
python-pulp-rpm-common-2.8.0-0.9.rc.el7.noarch
python-pulp-docker-common-2.0.0-0.9.rc.el7.noarch
python-pulp-oid_validation-2.8.0-0.9.rc.el7.noarch
pulp-agent-2.8.0-0.9.rc.el7.noarch
pulp-nodes-admin-extensions-2.8.0-0.9.rc.el7.noarch
python-pulp-streamer-2.8.0-0.9.rc.el7.noarch
python-kombu-3.0.33-4.pulp.el7.noarch
python-pulp-bindings-2.8.0-0.9.rc.el7.noarch
python-pulp-client-lib-2.8.0-0.9.rc.el7.noarch
pulp-puppet-admin-extensions-2.8.0-0.9.rc.el7.noarch
pulp-rpm-handlers-2.8.0-0.9.rc.el7.noarch
pulp-server-2.8.0-0.9.rc.el7.noarch
pulp-rpm-consumer-extensions-2.8.0-0.9.rc.el7.noarch
pulp-nodes-parent-2.8.0-0.9.rc.el7.noarch
python-isodate-0.5.0-4.pulp.el7.noarch
[root@mgmt5 ~]#

[root@mgmt5 ~]# pulp-admin rpm repo create --repo-id=centos --download-policy=on_demand --feed=http://mirror.centos.org/centos-6/6/updates/x86_64/
Successfully created repository [centos]

[root@mgmt5 ~]# pulp-admin rpm repo sync run --repo-id=centos
--------------------------------------------------------------------
Synchronizing Repository [centos]
--------------------------------------------------------------------

This command may be exited via ctrl+c without affecting the request.

Downloading metadata...
[-]
... completed

Downloading repository content...
[-]
[==================================================] 100%
RPMs: 1263/1263 items
Delta RPMs: 1166/1166 items

... completed

Downloading distribution files...
[==================================================] 100%
Distributions: 0/0 items
... completed

Importing errata...
[-]
... completed

Importing package groups/categories...
[-]
... completed

Cleaning duplicate packages...
[\]
... completed

Task Succeeded

Initializing repo metadata
[-]
... completed

Publishing Distribution files
[-]
... completed

Publishing RPMs
[==================================================] 100%
1263 of 1263 items
... completed

Publishing Delta RPMs
[==================================================] 100%
1166 of 1166 items
... completed

Publishing Errata
[-]
... completed

Publishing Comps file
[-]
... completed

Publishing Metadata.
[-]
... completed

Closing repo metadata
[-]
... completed

Generating sqlite files
... skipped

Publishing files to web
[-]
... completed

Writing Listings File
[-]
... completed

Task Succeeded

#12 Updated by vaclav.adamec@suchy-zleb.cz over 4 years ago

Is this fixed in released 2.8 ? As I got same error (new server, clean installation of 2.8) also try that patch (/usr/lib/python2.7/site-packages/pulp_rpm/plugins/importers/yum/sync.py + restart) but got same error (delete repo, create and sync).

Mar 05 06:10:22 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.strategy:INFO: Received task: pulp.server.async.tasks._release_resource[92bdd719-076c-48c1-a8c5-ce63a5dd4254]
Mar 05 06:10:22 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:INFO: Downloading metadata from http://mirror.centos.org/centos-6/6/updates/x86_64/.
Mar 05 06:10:22 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): mirror.centos.org
Mar 05 06:10:22 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31132]: celery.worker.job:INFO: Task pulp.server.async.tasks._queue_reserved_task[6972a602-1121-430a-9b0b-a5ef4ac2340e] succeeded in 0.0382055169903s: None
Mar 05 06:10:23 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:INFO: Parsing metadata.
Mar 05 06:10:23 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:INFO: Downloading metadata from http://mirror.centos.org/centos-6/6/updates/x86_64/.
Mar 05 06:10:23 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): mirror.centos.org
Mar 05 06:10:24 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:INFO: Parsing metadata.
Mar 05 06:10:24 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:INFO: Downloading metadata from http://mirror.centos.org/centos-6/6/updates/x86_64/.
Mar 05 06:10:24 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (1): mirror.centos.org
Mar 05 06:10:25 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:INFO: Parsing metadata.
Mar 05 06:10:25 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:INFO: Downloading metadata files.
Mar 05 06:10:25 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: requests.packages.urllib3.connectionpool:INFO: Resetting dropped connection: mirror.centos.org
Mar 05 06:10:25 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (2): mirror.centos.org
Mar 05 06:10:25 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (3): mirror.centos.org
Mar 05 06:10:25 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: requests.packages.urllib3.connectionpool:INFO: Starting new HTTP connection (4): mirror.centos.org
Mar 05 06:11:08 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:INFO: Generating metadata databases.
Mar 05 06:11:30 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:INFO: Determining which units need to be downloaded.
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) The field '_erratum_references' does not exist on the document 'RPM'
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) Traceback (most recent call last):
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/importers/yum/sync.py", line 220, in run
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) self.update_content(metadata_files, url)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/importers/yum/sync.py", line 447, in update_content
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) rpms_to_download, drpms_to_download = self._decide_what_to_download(metadata_files)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/importers/yum/sync.py", line 468, in decide_what_to_download
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) self._decide_rpms_to_download(metadata_files)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/importers/yum/sync.py", line 504, in _decide_rpms_to_download
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) wanted.iterkeys(), self.conduit, self.download_deferred)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/importers/yum/existing.py", line 118, in check_all_and_associate
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) for unit in units_controller.find_units(unit_generator):
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/pulp/server/controllers/units.py", line 40, in find_units
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) for found_unit in query:
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/mongoengine/queryset/base.py", line 1411, in next
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) _auto_dereference=self._auto_dereference, only_fields=self.only_fields)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/mongoengine/base/document.py", line 730, in _from_son
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) obj = cls(auto_convert=False, _created=created, __only_fields=only_fields, **data)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/db/models.py", line 362, in __init
_
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) super(RpmBase, self).__init__(*args, **kwargs)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/db/models.py", line 135, in init
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) super(NonMetadataPackage, self).__init__(*args, **kwargs)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/pulp/server/db/model/__init__.py", line 52, in init
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) super(AutoRetryDocument, self).__init__(*args, **kwargs)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) File "/usr/lib/python2.7/site-packages/mongoengine/base/document.py", line 80, in init
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) raise FieldDoesNotExist(msg)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp_rpm.plugins.importers.yum.sync:ERROR: (31339-51776) FieldDoesNotExist: The field '_erratum_references' does not exist on the document 'RPM'
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31339]: pulp.server.async.tasks:INFO: Task failed : [0833cbae-8f50-4422-bb17-93bfb4ed3645]
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) Task pulp.server.managers.repo.sync.sync[0833cbae-8f50-4422-bb17-93bfb4ed3645] raised unexpected: PulpExecutionException('Importer indicated a failed response',)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) Traceback (most recent call last):
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) File "/usr/lib/python2.7/site-packages/celery/app/trace.py", line 240, in trace_task
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) R = retval = fun(*args, **kwargs)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) File "/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py", line 473, in call
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) return super(Task, self).__call__(*args, **kwargs)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) File "/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py", line 103, in call
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) return super(PulpTask, self).__call__(*args, **kwargs)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) File "/usr/lib/python2.7/site-packages/celery/app/trace.py", line 437, in protected_call
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) return self.run(*args, **kwargs)
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) File "/usr/lib/python2.7/site-packages/pulp/server/controllers/repository.py", line 807, in sync
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) raise pulp_exceptions.PulpExecutionException(_('Importer indicated a failed response'))
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:ERROR: (31201-51776) PulpExecutionException: Importer indicated a failed response
Mar 05 06:11:41 pulp-server-dev-idc-prg001.mgm.avg.com pulp[31201]: celery.worker.job:INFO: Task pulp.server.async.tasks._release_resource[92bdd719-076c-48c1-a8c5-ce63a5dd4254] succeeded in 0.00456515600672s: None

#13 Updated by dkliban@redhat.com over 4 years ago

  • Status changed from 6 to CLOSED - CURRENTRELEASE

#14 Updated by vaclav.adamec@suchy-zleb.cz over 4 years ago

Just for other users, migration from 2.7.1-1.el7 GA to 2.8 GA failed, just fresh installation is ok. Result from testing tool attached, database dump has about 250M, so cannot be attached to ticket.

#15 Updated by ipanova@redhat.com over 4 years ago

  • Related to Issue #1952: Repo sync fails after upgrade to 2.8.3. added

#17 Updated by bmbouter over 1 year ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF